## efl 1.26.3

=== debian/changelog ===
efl (1.26.3-1) unstable; urgency=medium

  * New upstream release
  * disable luajit usage on all platforms, drop elua
  * switch from gnutls->openssl for crypto
  * Bump symbols for 1.26.3 release

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 18 Sep 2022 22:11:48 -0700
