=== debian/changelog ===
efl (1.27.0-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:55:56 +0000

efl (1.27.0-1.1build3) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 17:12:55 +1300

efl (1.27.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:32:20 +0000

efl (1.27.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:50:21 +0000

efl (1.27.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 23:57:11 +0000

efl (1.27.0-1) unstable; urgency=medium

  * Bump symbol versions for 1.27.0 release
  * Add new symbols from 1.27.0 release
  * d/control: add libjxl-dev to Build-Depends
  * Support suppressing efl-doc with DEB_BUILD_PROFILES=nodoc
  * Handle upstream's new default that disables doc builds
  * d/p/55_fix_vieet_bashism.diff: fix vieet bashism
  * d/control: bump Standards-Version to 4.6.2, no changes required
  * d/copyright update

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 02 Jan 2024 21:36:10 -0800

efl (1.26.3-2) unstable; urgency=medium

  * d/control: update freetype/fontconf build depends
  * d/control: drop obsolete Replaces, Breaks
  * Update lintian-overrides for renames & new formats
  * Update lintian-overrides, remove arch- and version-specific strings
  * d/control: clean up unused Build-Depends-Indep
  * downgrade lua dependency to 5.1 (Closes: #1050626)

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 29 Aug 2023 21:33:58 -0700
