=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders:
  Albin Tonnerre <lutin@debian.org>,
  Ross Vandegrift <rvandegrift@debian.org>,
  Andreas Metzler <ametzler@debian.org>,
 Build-Conflicts: systemctl
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libblkid-dev [linux-any],
  libcurl4-openssl-dev,
@@ -16,8 +17,8 @@
  libeet-bin <cross>,
  libelementary-bin <cross>,
  libeolian-bin <cross>,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libfribidi-dev,
  libgbm-dev,
  libgcrypt-dev,
@@ -30,7 +31,8 @@
  libheif-dev,
  libinput-dev,
  libjpeg-dev,
- liblua5.2-dev,
+ libjxl-dev,
+ liblua5.1-dev,
  liblz4-dev,
  libmount-dev [linux-any],
  libopenjp2-7-dev,
@@ -75,41 +77,35 @@
  wayland-protocols,
  x11proto-xext-dev,
  zlib1g-dev,
-Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
-Standards-Version: 4.5.0
+Build-Depends-Indep: doxygen <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1a
+Package: libeina1t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libeina1a
+Replaces: libeina1a
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libeina0, libeina1
-Breaks:
- libecore-avahi1 (<= 1.23.3-8),
+Breaks:libeina1a (<< ${source:Version}), 
  libecore-bin (<= ${source:Upstream-Version}),
  libedje-bin (<= ${source:Upstream-Version}),
  libeet-bin (<= ${source:Upstream-Version}),
- libeet1 (<= 1.4.0~beta+1.4.0),
  libeeze-bin (<= ${source:Upstream-Version}),
  libefreet-bin (<= ${source:Upstream-Version}),
  libeina-bin (<= ${source:Upstream-Version}),
- libeina1 (<= 1.18.1-2),
  libelementary-bin (<= ${source:Upstream-Version}),
  libelementary-data (<= ${source:Upstream-Version}),
- libelocation1 (<= 1.23.3-8),
- libelua-bin (<= 1.26.2-2),
- libelua1 (<= 1.26.2-2),
  libembryo-bin (<= ${source:Upstream-Version}),
- libemotion-players (<= 1.23.3-8),
  libeolian-bin (<= ${source:Upstream-Version}),
- libephysics1 (<= 1.23.3-8),
  libethumb-client-bin (<= ${source:Upstream-Version}),
  libevas-loaders (<= ${source:Upstream-Version}),
- libevas-bin (<= 1.21.1-5),
  libevas1-engines-drm (<= ${source:Upstream-Version}),
  libevas1-engines-fb (<= ${source:Upstream-Version}),
  libevas1-engines-wayland (<= ${source:Upstream-Version}),
@@ -212,7 +208,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
 Description: Evas module providing the X11 engines
  Evas is a clean display canvas API for several target display systems
@@ -236,7 +231,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines-extras, libevas1-engine-fb
 Provides: libevas1-engine
 Description: Evas module providing the Framebuffer engine
  Evas is a clean display canvas API for several target display systems
@@ -258,7 +252,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine
 Description: Evas module providing the DRM engine
  Evas is a clean display canvas API for several target display systems
@@ -281,8 +274,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks:
  libeina1a (<< ${source:Upstream-Version}),
- enlightenment (<< 0.24.0-1),
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine
 Description: Evas module providing the Wayland engine
  Evas is a clean display canvas API for several target display systems
@@ -328,7 +319,9 @@
  This package contains the Ecore wrapper and convenience functions for
  audio playback and recording.
 
-Package: libecore-con1
+Package: libecore-con1t64
+Provides: ${t64:Provides}
+Replaces: libecore-con1
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -336,7 +329,13 @@
  libecore-bin (>= ${source:Upstream-Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libeina1a (<< ${source:Upstream-Version})
+Breaks: libecore-con1 (<< ${source:Version}), libeina1a (<< ${source:Upstream-Version})
 Description: Ecore functions for network connections
  Ecore is a library of convenience functions. It provides abstractions
  for handling timers selections, Xdnd, event loops, and much
+ more. Much of Ecore's functionality is implemented in external
+ modules.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+ .
+ This package contains the Ecore Connection Library, which provides
