=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,15 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	fb_flags += -Dfb=true
+endif
+
+# upstream's default is to not build the docs.  Enable it, unless:
+# 1) efl-doc binary pkg was suppressed (e.g. due to an only-arch-any build)
+# 2) nodoc is specified in the build options
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	doc_flags += -Ddocs=true
+endif
 endif
 
 %:
@@ -47,7 +56,8 @@
 		-Dlua-interpreter=lua \
 		-Dbindings= \
 		$(arch_flags) \
-		$(fb_flags)
+		$(fb_flags) \
+		$(doc_flags)
 
 override_dh_auto_build:
 	# ensure shaders are rebuilt from sources
@@ -57,14 +67,16 @@
 
 	dh_auto_build --verbose
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_auto_build -- doc
 endif
 endif
 
 override_dh_auto_build-indep:
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_auto_build -- doc
+endif
 endif
 
 execute_before_dh_install:
