## efl 1.28.0

=== debian/changelog ===
efl (1.28.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert t64 transition changes, and so don't BD on dpkg-dev (>= 1.22.5).
  * Restore systemd as alternative BD.
  * Revert: build against system libunibreak instead of embedded copy
  * Revert: evas.pc has Requires.private libunibreak >= 4.2, libefl-all-dev
    needs to depend on libunibreak-dev. Closes: #1080103

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jan 2025 06:03:15 -0800

efl (1.28.0-1) unstable; urgency=medium

  * New upstream release
  * Cleanup patches that were applied upstream:
  * Bump eo symbols for 1.28 release
  * Add new eo symbols for 1.28 release
  * d/control: weaken libunibreak dependency
  * d/copyright update

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 18 Jan 2025 16:32:04 -0800

efl (1.27.0-4) unstable; urgency=medium

  * evas.pc has Requires.private libunibreak >= 4.2, libefl-all-dev needs to
    depend on libunibreak-dev. Closes: #1080103
  * Run wrap-and-sort -ast on debian control, but not globally.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2024 11:33:48 +0200

efl (1.27.0-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * [lintian] libeeze* s/api/API/.
  * [lintian] B-d on pkgconf instead of pkg-config.

  [ Ross Vandegrift ]
  * build against system libunibreak instead of embedded copy
  * d/p/0009-*, d/p/0010-*: cherry-pick gcc-14 fixes (Closes: #1077770)

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 12 Aug 2024 22:21:11 -0700

efl (1.27.0-2) unstable; urgency=medium

  * B-d on systemd-dev instead of systemd. Closes: #1060602

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jun 2024 11:49:08 +0200
