=== debian/control ===
--- 
+++ 
@@ -1,82 +1,82 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders:
- Albin Tonnerre <lutin@debian.org>,
- Ross Vandegrift <rvandegrift@debian.org>,
- Andreas Metzler <ametzler@debian.org>,
+Uploaders: Albin Tonnerre <lutin@debian.org>,
+           Ross Vandegrift <rvandegrift@debian.org>,
+           Andreas Metzler <ametzler@debian.org>
 Build-Conflicts: systemctl
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper-compat (= 13),
- libblkid-dev [linux-any],
- libcurl4-openssl-dev,
- libdbus-1-dev,
- libedje-bin <cross>,
- libeet-bin <cross>,
- libelementary-bin <cross>,
- libeolian-bin <cross>,
- libfontconfig-dev,
- libfreetype-dev,
- libfribidi-dev,
- libgbm-dev,
- libgcrypt-dev,
- libgif-dev,
- libgles2-mesa-dev,
- libglib2.0-dev,
- libgstreamer-plugins-base1.0-dev,
- libgstreamer1.0-dev,
- libharfbuzz-dev,
- libheif-dev,
- libinput-dev,
- libjpeg-dev,
- libjxl-dev,
- liblua5.1-dev,
- liblz4-dev,
- libmount-dev [linux-any],
- libopenjp2-7-dev,
- libpixman-1-dev,
- libpng-dev,
- libpoppler-cpp-dev,
- libpulse-dev,
- libraw-dev,
- librsvg2-dev,
- libscim-dev,
- libsndfile-dev,
- libspectre-dev,
- libssl-dev,
- libsystemd-dev,
- libtiff-dev,
- libudev-dev [linux-any],
- libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
- libvlc-dev,
- libwayland-dev,
- libwebp-dev,
- libx11-dev,
- libx11-xcb-dev,
- libxcb-image0-dev,
- libxcb-shm0-dev,
- libxcb1-dev,
- libxcomposite-dev,
- libxcursor-dev,
- libxdamage-dev,
- libxext-dev,
- libxi-dev,
- libxinerama-dev,
- libxkbcommon-x11-dev,
- libxpm-dev,
- libxrandr-dev,
- libxrender-dev,
- libxss-dev,
- libxtst-dev,
- mesa-common-dev,
- meson,
- pkg-config,
- systemd,
- wayland-protocols,
- x11proto-xext-dev,
- zlib1g-dev,
+Build-Depends: debhelper-compat (= 13),
+#               dpkg-dev (>= 1.22.5),
+               libblkid-dev [linux-any],
+               libcurl4-openssl-dev,
+               libdbus-1-dev,
+               libedje-bin <cross>,
+               libeet-bin <cross>,
+               libelementary-bin <cross>,
+               libeolian-bin <cross>,
+               libfontconfig-dev,
+               libfreetype-dev,
+               libfribidi-dev,
+               libgbm-dev,
+               libgcrypt-dev,
+               libgif-dev,
+               libgles2-mesa-dev,
+               libglib2.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libharfbuzz-dev,
+               libheif-dev,
+               libinput-dev,
+               libjpeg-dev,
+               libjxl-dev,
+               liblua5.1-dev,
+               liblz4-dev,
+               libmount-dev [linux-any],
+               libopenjp2-7-dev,
+               libpixman-1-dev,
+               libpng-dev,
+               libpoppler-cpp-dev,
+               libpulse-dev,
+               libraw-dev,
+               librsvg2-dev,
+               libscim-dev,
+               libsndfile-dev,
+               libspectre-dev,
+               libssl-dev,
+               libsystemd-dev,
+               libtiff-dev,
+               libudev-dev [linux-any],
+#               libunibreak-dev (>= 5.1),
+               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+               libvlc-dev,
+               libwayland-dev,
+               libwebp-dev,
+               libx11-dev,
+               libx11-xcb-dev,
+               libxcb-image0-dev,
+               libxcb-shm0-dev,
+               libxcb1-dev,
+               libxcomposite-dev,
+               libxcursor-dev,
+               libxdamage-dev,
+               libxext-dev,
+               libxi-dev,
+               libxinerama-dev,
+               libxkbcommon-x11-dev,
+               libxpm-dev,
+               libxrandr-dev,
+               libxrender-dev,
+               libxss-dev,
+               libxtst-dev,
+               mesa-common-dev,
+               meson,
+               pkgconf,
+               systemd-dev | systemd,
+               wayland-protocols,
+               x11proto-xext-dev,
+               zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
@@ -84,32 +84,32 @@
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1t64
-Provides: ${t64:Provides}
-X-Time64-Compat: libeina1a
+Package: libeina1
+# Provides: ${t64:Provides}
+# X-Time64-Compat: libeina1a
 Replaces: libeina1a
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libeina0, libeina1
-Breaks:libeina1a (<< ${source:Version}), 
- libecore-bin (<= ${source:Upstream-Version}),
- libedje-bin (<= ${source:Upstream-Version}),
- libeet-bin (<= ${source:Upstream-Version}),
- libeeze-bin (<= ${source:Upstream-Version}),
- libefreet-bin (<= ${source:Upstream-Version}),
- libeina-bin (<= ${source:Upstream-Version}),
- libelementary-bin (<= ${source:Upstream-Version}),
- libelementary-data (<= ${source:Upstream-Version}),
- libembryo-bin (<= ${source:Upstream-Version}),
- libeolian-bin (<= ${source:Upstream-Version}),
- libethumb-client-bin (<= ${source:Upstream-Version}),
- libevas-loaders (<= ${source:Upstream-Version}),
- libevas1-engines-drm (<= ${source:Upstream-Version}),
- libevas1-engines-fb (<= ${source:Upstream-Version}),
- libevas1-engines-wayland (<= ${source:Upstream-Version}),
- libevas1-engines-x (<= ${source:Upstream-Version}),
+Conflicts: libeina0
+Breaks: libecore-bin (<= ${source:Upstream-Version}),
+        libedje-bin (<= ${source:Upstream-Version}),
+        libeet-bin (<= ${source:Upstream-Version}),
+        libeeze-bin (<= ${source:Upstream-Version}),
+        libefreet-bin (<= ${source:Upstream-Version}),
+        libeina-bin (<= ${source:Upstream-Version}),
+        libeina1a (<< ${source:Version}),
+        libelementary-bin (<= ${source:Upstream-Version}),
+        libelementary-data (<= ${source:Upstream-Version}),
+        libembryo-bin (<= ${source:Upstream-Version}),
+        libeolian-bin (<= ${source:Upstream-Version}),
+        libethumb-client-bin (<= ${source:Upstream-Version}),
+        libevas-loaders (<= ${source:Upstream-Version}),
+        libevas1-engines-drm (<= ${source:Upstream-Version}),
+        libevas1-engines-fb (<= ${source:Upstream-Version}),
+        libevas1-engines-wayland (<= ${source:Upstream-Version}),
+        libevas1-engines-x (<= ${source:Upstream-Version})
 Description: EFL optimized data types
  The Eina library is a library which implements an API for data types
  in an efficient way. It also provides some useful tools like opening
@@ -175,16 +175,14 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libevas1-engines-x | libevas1-engine,
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- libevas-loaders,
- libevas1-engines-drm,
- libevas1-engines-fb,
- libevas1-engines-wayland,
- libevas1-engines-x,
+Depends: libevas1-engines-x | libevas1-engine,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libevas-loaders,
+            libevas1-engines-drm,
+            libevas1-engines-fb,
+            libevas1-engines-wayland,
+            libevas1-engines-x
 Breaks: libeina1a (<< ${source:Upstream-Version})
 Description: EFL advanced canvas library
  Evas is a clean display canvas API for several target display systems
@@ -272,8 +270,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks:
- libeina1a (<< ${source:Upstream-Version}),
+Breaks: libeina1a (<< ${source:Upstream-Version})
 Provides: libevas1-engine
 Description: Evas module providing the Wayland engine
  Evas is a clean display canvas API for several target display systems
@@ -309,33 +306,3 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libeina1a (<< ${source:Upstream-Version})
-Description: Ecore functions for audio playback and recording
- Ecore is a library of convenience functions. It provides abstractions
- for handling timers selections, Xdnd, event loops, and much
- more. Much of Ecore's functionality is implemented in external
- modules.
- .
- This package contains the Ecore wrapper and convenience functions for
- audio playback and recording.
-
-Package: libecore-con1t64
-Provides: ${t64:Provides}
-Replaces: libecore-con1
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libecore-bin (>= ${source:Upstream-Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks: libecore-con1 (<< ${source:Version}), libeina1a (<< ${source:Upstream-Version})
-Description: Ecore functions for network connections
- Ecore is a library of convenience functions. It provides abstractions
- for handling timers selections, Xdnd, event loops, and much
- more. Much of Ecore's functionality is implemented in external
- modules.
- .
- This is part of the Enlightenment Foundation Libraries (EFL).
- .
- This package contains the Ecore Connection Library, which provides
