=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,7 @@
 		-Dcrypto=openssl \
 		-Dtslib=false \
 		-Dembedded-lz4=false \
+		-Dembedded-libunibreak=true \
 		-Devas-loaders-disabler=json,avif \
 		-Dnetwork-backend=none \
 		-Dwl=true \
@@ -120,3 +121,8 @@
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
