## efl 1.28.1

=== meson_options.txt ===
--- 
+++ 
@@ -330,7 +330,7 @@
 option('lua-interpreter',
   type: 'combo',
   choices: ['luajit', 'lua'],
-  value: 'luajit',
+  value: 'lua',
   description: 'Which Lua back-end library to use in efl'
 )
 
@@ -388,3 +388,9 @@
   value: false,
   description: 'Enable building C of documentation (Requires doxygen)'
 )
+
+option('embedded-libunibreak',
+  type : 'boolean',
+  value : true,
+  description : 'Use the embedded in-tree libunibreak instead of the system libunibreak.'
+)
