=== debian/changelog ===
efl (1.28.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert t64 transitions.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Mar 2025 11:48:35 -0700

efl (1.28.1-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: update upstream tag format
  * bump eo symbols for 1.28.1 release

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 17 Mar 2025 19:32:27 -0700
