=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
                libsystemd-dev,
                libtiff-dev,
                libudev-dev [linux-any],
-#               libunibreak-dev (>= 5.1),
+               libunibreak-dev (>= 5.1),
                libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
                libvlc-dev,
                libwayland-dev,
@@ -84,15 +84,15 @@
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1
+Package: libeina1a
 # Provides: ${t64:Provides}
 # X-Time64-Compat: libeina1a
-Replaces: libeina1a
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libeina0
+# Replaces: libeina1a
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libeina0, libeina1
 Breaks: libecore-bin (<= ${source:Upstream-Version}),
         libedje-bin (<= ${source:Upstream-Version}),
         libeet-bin (<= ${source:Upstream-Version}),
@@ -177,8 +177,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libevas1-engines-x | libevas1-engine,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libevas-loaders,
+         ${shlibs:Depends},
+            libevas-loaders,
             libevas1-engines-drm,
             libevas1-engines-fb,
             libevas1-engines-wayland,
