=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 		-Dcrypto=openssl \
 		-Dtslib=false \
 		-Dembedded-lz4=false \
-		-Dembedded-libunibreak=true \
+		-Dembedded-libunibreak=false \
 		-Devas-loaders-disabler=json,avif \
 		-Dnetwork-backend=none \
 		-Dwl=true \
